import { FC } from 'react'
import { useTranslation } from 'react-i18next'
import Input from '../../../components/Input'
import UploadBox from '../../../components/UploadBox'
import Button from '../../../components/Button'

const Sheba: FC = () => {

    const { t } = useTranslation('global')

    return (
        <div className='mt-8 bg-white p-8 rounded-3xl'>
            <div>
                {t('wallet.pay_sheba')}
            </div>

            <div className='mt-8'>
                <Input
                    label={t('wallet.amount')}
                    placeholder={t('wallet.enter_sheba_deposit')}
                />
            </div>

            <div className='mt-8'>
                <UploadBox
                    label={t('wallet.upload_deposit_slip')}
                />
            </div>

            <div className='mt-10 flex justify-end'>
                <Button
                    label={t('wallet.submit_slip')}
                    className='w-[180px]'
                />
            </div>

        </div>
    )
}

export default Sheba